Subject: RE: [Bridge-mib] I-D ACTION:draft-ietf-bridge-8021x-02.txt

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Tue, 29 Jul 2003 12:12:21 +0200

If we indeed have an Informational RFC that basically
republishes an IEEE doc, then we do not use the normal
copyright. For an ID, the guidelines say:

  Mandatory Statements
  ====================

  All Internet-Drafts must begin with ONE of the following three
  statements:

         This document is an Internet-Draft and is subject to
         all provisions of Section 10 of RFC2026.

         This document is an Internet-Draft and is subject to
         all provisions of Section 10 of RFC2026 except that the
         right to produce derivative works is not granted.

         This document is an Internet-Draft and is NOT offered in
         accordance with Section 10 of RFC2026, and the author does not
         provide the IETF with any rights other than to publish as an
         Internet-Draft

So it seems that the 2nd statement is probably the best statement
to be used in the I-D. Or, you might want to check section 5.2
of draft-ietf-ipr-submission-rights-06.txt, which is onder IPR WG
Last Call now and probably will become the new practice soon.

Also, in the abstract, I would not talk about "this standard"
If anything, then maybe "this IEEE 802.1x standard" or some such.
But even that is questionable.... better just say "this IEEE 802.1x
specification" and let the IEEE keep their way of how they
decide something is a std or not.
Also, abstract talks about "this draft". Better use "this memo"
or "this document", so that it is still valid when it becomes an
RFC.

I think we still want to have a copyright statement in the 
DESCRIPTION of the MODULE-IDENTITY. Since it points back to the
RFC, it will point to proper text, no?

Thanks,
Bert 

> -----Original Message-----
> From: C. M. Heard [mailto:[email-masked]]
> Sent: dinsdag 29 juli 2003 8:02
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: [Bridge-mib] I-D ACTION:draft-ietf-bridge-8021x-02.txt
> 
> 
> On Fri, 25 Jul 2003 [email-masked] wrote:
> > A New Internet-Draft is available from the on-line
> > Internet-Drafts directories. This draft is a work item of the
> > Bridge MIB Working Group of the IETF.
> > 
> > 	Title		: Definitions for Port Access Control (IEEE
> >                           802.1X) MIB
> > 	Author(s)	: K. Norseth
> > 	Filename	: draft-ietf-bridge-8021x-02.txt
> > 	Pages		: 42
> > 	Date		: 2003-7-25
> > 	
> [ ... ]
> > A URL for this Internet-Draft is:
> > http://www.ietf.org/internet-drafts/draft-ietf-bridge-8021x-02.txt
> 
> Greetings,
> 
> I have three major comments on this draft and few minor ones.
> 
> MAJOR COMMENT: I see that in going from the -01 to the -02 draft the
> following changes were made to the MODULE-IDENTITY invocation in the
> IEEE8021-PAE-MIB:
> 
> *** 22,34 ****
> --- 22,52 ----
>    ieee8021paeMIB MODULE-IDENTITY
>       LAST-UPDATED "200101160000Z"
>       ORGANIZATION "IEEE 802.1 Working Group"
>       CONTACT-INFO
>           "http://grouper.ieee.org/groups/802/1/index.html"
> + 
> +     ORGANIZATION "IETF Bridge MIB Working Group"
> +     CONTACT-INFO
> +         "Email: [email-masked]"
> + 
> +                  K.C. Norseth
> +                  L-3 Communications
> +             Tel: +1 801-594-2809
> +           Email: [email-masked]
> +          Postal: 640 N. 2200 West.
> +                  Salt Lake City, Utah 84116-0850
> + 
> +          Send comments to <[email-masked]>
> + 
>       DESCRIPTION
>           "The Port Access Entity module for managing IEEE
>           802.1X."
> + 
> +         "Copyright (C) The Internet Society (2003). This version of
> +          this MIB module is part of RFC xxxx; see the RFC itself for
> +          full legal notices."
>   
>     --    ::= { iso(1) std(0) iso8802(8802) ieee802dot1(1)
>     --          ieee802dot1mibs(1) 1 }
>     ::= { iso std(0) iso8802(8802) ieee802dot1(1) 
> ieee802dot1mibs(1) 1 }
>   
> I believe that these changes (i.e., the added lines marked above
> with '+') should be backed out.  For one thing, the MIB module won't
> compile when they are present.  For another, this MIB module is NOT
> an IETF MIB module.  It is an IEEE MIB module, as the draft
> explicitly says.  Therefore, the IEEE 802.1 WG should remain listed
> as the ORGANIZATION and its web site should be listed in the
> CONTACT-INFO.  Also, since the IEEE owns the copyright, not the
> IETF, it seems wrong to insert the standard ISOC MIB copyright here.
> 
> MAJOR COMMENT:  since this draft is republishing an IEEE standard,
> it the Full Copyright Statement language needs to reflect this fact.  
> The IETF does not own the copyright and does not have change
> control, but the Full Copyright Statement (which is a verbatim copy
> of the one in Section 10 of RFC 2026) says otherwise.  This needs to
> be fixed.  Note that the version of the Full Copyright Statement
> that is in RFC 2026 is intended for standards-track documents, not
> for informational republication of standards from other SDOs.
> 
> MAJOR COMMENT:  the I-D boilerplate should probably have the "except
> the right to make derivative works" language, since the MIB module
> is an IEEE standard and change control is not being ceded to the
> IETF.
> 
> MINOR COMMENT:  in the Abstract, s/SNMPv2 SMI/SMIv2/
> 
> MINOR COMMENT:  since this version of the MIB module has some
> updates from the IEEE original in order to correct some MIB
> compilation errors, it might be a good idea to add a
> REVISION/DESCRIPTION pair and also to change the LAST-UPDATED clause
> to match the new REVISION clause. The verbiage at the beginning of
> Section 4 claims that this stuff is present, but it is not.  It
> might also be a good idea to suggest to the IEEE to post the
> corrected MIB module on their web site (that would also have the
> salutary effect of making the ASN.1 comment at the front of the MIB
> module with the URL less misleading).
> 
> MINOR COMMENT:  the ASN.1 comment that shows the original
> (incorrect) form for the OID assigned to ieee8021paeMIB is not
> helpful and should be removed (in general, broken stuff should be
> removed, not commented out, and the changes should be documented in
> a REVISION/DESCRIPTION pair).
> 
> MINOR COMMENT:  in the DESCRIPTION clause of
> dot1xAuthBackendNonNakResponsesFromSupplicant
> s/Authenticators/Authenticator's/ (the apostrophe was apparently
> deleted when the non-ascii quotes in the original were converted to
> ascii).
> 
> MINOR COMMENT:  the change log section is broken.  It records the
> -00 to -01 changes but says otherwise.  Also, there should be a
> note to the RFC Editor indicating that the section is to be
> removed prior to publication as an RFC.
> 
> Regards,
> 
> Mike Heard
> 
> 
> _______________________________________________
> Bridge-mib mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/bridge-mib
> 

_______________________________________________
Bridge-mib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/bridge-mib

---

From: "C. M. Heard" <[email-masked]>
Date: Tue, 29 Jul 2003 08:09:56 -0700 (PDT)

> RFC, it will point to proper text, no?

I would think that is the IEEE's call, since it is their MIB
module, after all.  The original version of the MIB module at

http://www.ieee802.org/1/files/public/MIBs/802-1x-2001-mib.txt

which we are republishing (with only very minor changes so that it
will compile) does not have a copyright statement.  I'm proposing
that we keep the MIB module in the informational RFC as close to
the one on the IEEE web site as possible.  (Ideally the version
in the RFC and the version on the web site would be identical,
which is why I've suggested that we urge the IEEE to incorporate
the corrections we've made into their on-line version.)

Thanks,

Mike

---

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Wed, 30 Jul 2003 20:07:44 +0200

I have not reacted much yet, because I am not good at
copy-right law (or any law for that matter).

But I have some comment/questions inline:

Thanks,
Bert 

> Sent: woensdag 30 juli 2003 19:22
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: [Bridge-mib] FW: MIB copyright statement
> 
> 
> On Wed, 30 Jul 2003, C. M. Heard wrote:
> > On Wed, 30 Jul 2003, Scott Bradner wrote:
> > > if the IETF is republishing the material it must have a
> > > non-exclusive grant of copyright to do so so the ISOC copyright
> > > is correct - if the IEEE is not granting that non-exclusive
> > > right then the RFC can not be published
> > 
> > Well, it's not obvious that a grant of copyright, as opposed to
> > permission to use the material, is required for republication.
> > 
> > But even if ISOC does get a non-exclusive grant of copyright, the
> > point still stands that the standard abbreviated MIB copyright
> > notice would be misleading since it mentions ISOC only, and not
> > the IEEE, which in this case is the principal copyright holder.
> 
And so we point back to the RFC for the full legal notice.
I would personally have no problem to adapt the text somewhat
to also indicate IEEE copy-right. But which lawyer is goin to
formulate the proper text. The text we now use for MIB modules
has been passed by our IETF lawyer. If we modify it for this
specific MIB module, I guess we need to run it by our lawyer as
well.

> Another point to be noted is that extraction of a MIB module from
> an RFC (or an Internet-Draft) amounts to creation of a derivative
> work.  The IEEE can grant permission for the IETF to republish the
> MIB module in an informational RFC without necessarily granting
> permission for the MIB module to be extracted;  that permission
> needs to be granted separately.

If the MIB module cannot be extracted because derivative works
are not allowed, then I see no use at all to publish this MIB
document as an RFC. 

An alternative option might be to publish the RFC without the MIB 
module and just include a pointer to the inline MIB module at the
IEEE web site.

Bert

---

From: "C. M. Heard" <[email-masked]>
Date: Wed, 30 Jul 2003 11:33:47 -0700 (PDT)

> specific MIB module, I guess we need to run it by our lawyer as
  
True.  I think this discussion may have uncovered some gaps in the
submission-rights draft which is in last call, so I'm going to make
some last call comments with cc: to [email-masked] ... that is a
more appropriate venue for discussing this specific issue.

Thanks,

Mike

---

From: "C. M. Heard" <[email-masked]>
Date: Wed, 30 Jul 2003 12:30:07 -0700 (PDT)

> module and just include a pointer to the inline MIB module at the

Actually, I rather like that idea.  It certainly ensures that the
stuff in the information RFC can't get out-of-sync with the IEEE's
official version.  The only problem with that

has some problems that make it fail to compile (an illegal expression
for the OID assigned as the MODULE-IDENTITY value, non-ascii quotes,
and the absence of dot1xPaePortReauthenticate and
dot1xAuthSessionUserName from conformance groups).  The version in
the -01 draft corrected these problems.

I see that the IEEE is in fact working on a maintenance release of
802.1X (see http://www.ieee802.org/1/pages/802.1aa.html, or look for
the 802.1aa link under http://grouper.ieee.org/groups/802/1/), and
one of the work items is a MIB module update.  However, this is in
the private area and I don't know whether it includes the
corrections mentioned above (nor how else it might differ from the
current published version of the IEEE8021-PAE-MIB).

Maybe someone from 802.1aa could comment?

//cmh